import { Api } from 'farrow-api';
import { controvertTypes } from './types';
export const genDocs = (input) => {
    const types = controvertTypes(input.types);
    const findType = (typeId) => {
        const schemaCtor = types.get(typeId.toString());
        if (!schemaCtor) {
            throw new Error(`Unknown typeId: ${typeId}`);
        }
        return schemaCtor;
    };
    const controvertFieldType = (input) => {
        return {
            __type: findType(input.typeId),
            description: input.description,
            deprecated: input.deprecated,
        };
    };
    const controvertApi = (input) => {
        return Api({
            input: controvertFieldType(input.input),
            output: controvertFieldType(input.output),
            description: input.description,
            deprecated: input.deprecated,
        });
    };
    const controvertEntries = (input) => {
        const entries = {};
        for (const name in input.entries) {
            const item = input.entries[name];
            if (item.type === 'Api') {
                entries[name] = controvertApi(item);
            }
            else {
                entries[name] = controvertEntries(item);
            }
        }
        return entries;
    };
    return controvertEntries(input.entries);
};
//# sourceMappingURL=index.js.map