import { __awaiter } from "tslib";
import { Ok, Err } from './result';
export const getIntrospection = (src) => __awaiter(void 0, void 0, void 0, function* () {
    const data = {
        type: 'Introspection',
    };
    const options = {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
        },
        body: JSON.stringify(data),
    };
    try {
        return fetch(src, options)
            .then((response) => {
            return response.json();
        })
            .then((result) => {
            if (result.type === 'ApiSuccessResponse') {
                return Ok(result.output);
            }
            else {
                return Err('Server Introspection Error');
            }
        })
            .catch((err) => {
            return Err(err.message);
        });
    }
    catch (err) {
        return Err('Server cannot be reached.');
    }
});
//# sourceMappingURL=index.js.map